#1094 Instantiating an object may cause session crash and "Fatal IO Error 11" from gnome-session

v0.43
closed-duplicate
nobody
crash (2) X (1)
5
2014-08-26
2013-07-16
Anonymous
No

DESCRIPTION:
Under Ubuntu 13.04, Pd-extended, opening certain patches or instantiating a new object in certain patches provokes total crash of the X session and user applications. This bug is quite severe, however its importance depends on how many people are affected by it.

The problem is related to bug https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/999191
I have xserver-xorg-video-nouveau installed (but the video card is the integrated intel chipset)

SYSTEM

  • Lenovo Thinkpad L430
  • Intel® Core™ i5-3210M CPU @ 2.50GHz × 4
  • Intel® Ivybridge Mobile x86/MMX/SSE2
  • Ubuntu 13.04 32bit
  • Linux 3.8.0-23-generic #34-Ubuntu SMP Wed May 29 20:24:54 UTC 2013 i686 i686 i686 GNU/Linux
  • Pd-0.43.4 ("extended") compiled 22:45:28 Jan 25 2013, installed from the Ubuntu PPA repositories

SYSLOG

The first line corresponds to the first error message issued to /var/log/syslog and is the most important one, then everything else follow the crash:

Jul 16 17:42:52 lapleoMkII gnome-session[1995]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.#012
Jul 16 17:42:52 lapleoMkII colord: device removed: xrandr-Lenovo Group Limited
Jul 16 17:42:52 lapleoMkII colord: Profile removed: icc-ae229aaed58ec5dce54ab39598362866
Jul 16 17:42:52 lapleoMkII colord: Profile removed: icc-cd5c86df7b4a69fcf158fa617d5346e0
Jul 16 17:42:52 lapleoMkII colord: Profile removed: icc-079d543abe47c9028551df800f5ead3c
Jul 16 17:42:52 lapleoMkII colord: Profile removed: icc-9295400759b2b9629d983e943bb525d0
Jul 16 17:42:52 lapleoMkII pulseaudio[4703]: [pulseaudio] client-conf-x11.c: xcb_connection_has_error() returned true
Jul 16 17:42:52 lapleoMkII pulseaudio[4729]: [pulseaudio] pid.c: Stale PID file, overwriting.
Jul 16 17:42:52 lapleoMkII kernel: [ 6222.758260] show_signal_msg: 60 callbacks suppressed
Jul 16 17:42:52 lapleoMkII kernel: [ 6222.758265] soffice.bin[3106]: segfault at 50 ip b3715ab3 sp bf979990 error 4 in libuno_cppu.so.3[b36de000+44000]
Jul 16 17:42:52 lapleoMkII acpid: client 1224[0:0] has disconnected
Jul 16 17:42:52 lapleoMkII acpid: client connected from 4715[0:0]
Jul 16 17:42:52 lapleoMkII acpid: 1 client rule loaded
Jul 16 17:42:53 lapleoMkII pulseaudio[4729]: [pulseaudio] bluetooth-util.c: org.bluez.Manager.GetProperties() failed: org.freedesktop.DBus.Error.AccessDenied: Rejected se
nd message, 2 matched rules; type="method_call", sender=":1.81" (uid=1000 pid=4729 comm="/usr/bin/pulseaudio --start --log-target=syslog ") interface="org.bluez.Manager" 
member="GetProperties" error name="(unset)" requested_reply="0" destination="org.bluez" (uid=0 pid=1028 comm="/usr/sbin/bluetoothd ")
Jul 16 17:42:53 lapleoMkII pulseaudio[4729]: [pulseaudio] server-lookup.c: Unable to contact D-Bus: org.freedesktop.DBus.Error.NoServer: Failed to connect to socket /tmp/
dbus-zoSJ2dpnvG: Connection refused
Jul 16 17:42:53 lapleoMkII pulseaudio[4729]: [pulseaudio] main.c: Unable to contact D-Bus: org.freedesktop.DBus.Error.NoServer: Failed to connect to socket /tmp/dbus-zoSJ2dpnvG: Connection refused

Discussion


  • Anonymous
    2013-07-17

    I see. Yes, it is exactly the same. Sorry for the duplicate.

     
    • labels: crash X --> crash, X
    • summary: Instatiating an object may cause session crash and "Fatal IO Error 11" from gnome-session --> Instantiating an object may cause session crash and "Fatal IO Error 11" from gnome-session
    • Description has changed:

    Diff:

    --- old
    +++ new
    @@ -4,17 +4,20 @@
     The problem is related to bug https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/999191
     I have xserver-xorg-video-nouveau installed (but the video card is the integrated intel chipset)
    
    -SYSTEM:
    -Lenovo Thinkpad L430
    -Intel® Core™ i5-3210M CPU @ 2.50GHz × 4 
    -Intel® Ivybridge Mobile x86/MMX/SSE2
    -Ubuntu 13.04 32bit
    -Linux 3.8.0-23-generic #34-Ubuntu SMP Wed May 29 20:24:54 UTC 2013 i686 i686 i686 GNU/Linux
    -Pd-0.43.4 ("extended") compiled 22:45:28 Jan 25 2013, installed from the Ubuntu PPA repositories
    +SYSTEM
    +---
    + * Lenovo Thinkpad L430
    + * Intel® Core™ i5-3210M CPU @ 2.50GHz × 4 
    + * Intel® Ivybridge Mobile x86/MMX/SSE2
    + * Ubuntu 13.04 32bit
    + * Linux 3.8.0-23-generic #34-Ubuntu SMP Wed May 29 20:24:54 UTC 2013 i686 i686 i686 GNU/Linux
    + * Pd-0.43.4 ("extended") compiled 22:45:28 Jan 25 2013, installed from the Ubuntu PPA repositories
    
    -SYSLOG:
    -The first line corresponds to the first error message issued to /var/log/syslog and is the most important one, then everything else follow the crash
    +SYSLOG
    +---
    +The first line corresponds to the first error message issued to /var/log/syslog and is the most important one, then everything else follow the crash:
    
    +~~~~
     Jul 16 17:42:52 lapleoMkII gnome-session[1995]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.#012
     Jul 16 17:42:52 lapleoMkII colord: device removed: xrandr-Lenovo Group Limited
     Jul 16 17:42:52 lapleoMkII colord: Profile removed: icc-ae229aaed58ec5dce54ab39598362866
    @@ -34,4 +37,4 @@
     Jul 16 17:42:53 lapleoMkII pulseaudio[4729]: [pulseaudio] server-lookup.c: Unable to contact D-Bus: org.freedesktop.DBus.Error.NoServer: Failed to connect to socket /tmp/
     dbus-zoSJ2dpnvG: Connection refused
     Jul 16 17:42:53 lapleoMkII pulseaudio[4729]: [pulseaudio] main.c: Unable to contact D-Bus: org.freedesktop.DBus.Error.NoServer: Failed to connect to socket /tmp/dbus-zoSJ2dpnvG: Connection refused
    -
    +~~~~
    
    • status: open --> closed-duplicate
     


Anonymous


Cancel   Add attachments